Package libxyz :: Package ui :: Module entry :: Class ListEntry

[hide private]
[frames] | no frames]

# Class ListEntry

source code

    lowui.FlowWidget --+
                       |
                      ListEntry

List entry

Instance Methods | [hide private]

__init__(self, msg, selected_attr, entry_attr=None) | source code

selectable(self) | source code

rows(self, (maxcol,), focus=False) | source code

render(self, (maxcol,), focus=False) | source code

keypress(self, (maxcol,), key) | source code

Class Variables | [hide private]

| text = `property(lambda self: self._text)`

Method Details | [hide private]

### __init__(self, msg, selected_attr, entry_attr=None)
(Constructor)

source code

Parameters:
  - `msg` - Message
  - `selected_attr` - Atrribute of selected entry
  - `entry_attr` - Entry text attribute